"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateRoutes = void 0;

const tslib_1 = require("tslib");

const routesToJSON_1 = tslib_1.__importDefault(require("./routesToJSON"));

const filePath = 'routes/Routes.tsx';
const tpl = 'routes.tpl';

async function generateRoutes(api) {
  var _api$userConfig$dynam;

  const {
    routes,
    importNameTemplate
  } = routesToJSON_1.default(api.userConfig);
  return api.generateFile.writeFile({
    path: filePath,
    content: api.generateFile.renderTpl(api.generateFile.readTplFile(__dirname, tpl), {
      routes,
      importNameTemplate,
      loadingComponent: (_api$userConfig$dynam = api.userConfig.dynamicImport) === null || _api$userConfig$dynam === void 0 ? void 0 : _api$userConfig$dynam.loading
    })
  });
}

exports.generateRoutes = generateRoutes;